SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - g -

- g : sf::Color
- G : sf::Keyboard
- GainedFocus : sf::Event
- GatewayTimeout : sf::Http::Response
- generateMipmap() : sf::RenderTexture , sf::Texture
- Geometry : sf::Shader
- Get : sf::Http::Request
- getActiveContext() : sf::Context
- getActiveContextId() : sf::Context
- getAttenuation() : sf::SoundSource
- getAvailableDevices() : sf::SoundRecorder
- getAxisPosition() : sf::Joystick
- getBody() : sf::Http::Response
- getBounds() : sf::VertexArray
- getBuffer() : sf::Sound , sf::SoundBufferRecorder
- getButtonCount() : sf::Joystick
- getCenter() : sf::View
- getChannelCount() : sf::InputSoundFile , sf::SoundBuffer , sf::SoundRecorder , sf::SoundStream
- getCharacterSize() : sf::Text
- getColor() : sf::Sprite , sf::Text
- getData() : sf::Packet , sf::String
- getDataSize() : sf::Packet
- getDefaultDevice() : sf::SoundRecorder
- getDefaultView() : sf::RenderTarget
- getDesktopMode() : sf::VideoMode
- getDevice() : sf::SoundRecorder
- getDirection() : sf::Listener
- getDirectory() : sf::Ftp::DirectoryResponse
- getDirectoryListing() : sf::Ftp
- getDuration() : sf::InputSoundFile , sf::Music , sf::SoundBuffer
- getElapsedTime() : sf::Clock
- getField() : sf::Http::Response
- getFillColor() : sf::Shape , sf::Text
- getFont() : sf::Text
- getFullscreenModes() : sf::VideoMode
- getFunction() : sf::Context
- getGlobalBounds() : sf::Shape , sf::Sprite , sf::Text
- getGlobalVolume() : sf::Listener
- getGlyph() : sf::Font
- getHandle() : sf::Socket
- getIdentification() : sf::Joystick
- getInfo() : sf::Font
- getInverse() : sf::Transform
- getInverseTransform() : sf::Transformable , sf::View
- getKerning() : sf::Font
- getLetterSpacing() : sf::Text
- getLineSpacing() : sf::Font , sf::Text
- getListing() : sf::Ftp::ListingResponse
- getLocalAddress() : sf::IpAddress
- getLocalBounds() : sf::Shape , sf::Sprite , sf::Text
- getLocalPort() : sf::TcpListener , sf::TcpSocket , sf::UdpSocket
- getLoop() : sf::Sound , sf::SoundStream
- getLoopPoints() : sf::Music
- getMajorHttpVersion() : sf::Http::Response
- getMatrix() : sf::Transform
- getMaximumAntialiasingLevel() : sf::RenderTexture
- getMaximumSize() : sf::Texture
- getMessage() : sf::Ftp::Response
- getMinDistance() : sf::SoundSource
- getMinorHttpVersion() : sf::Http::Response
- getNativeHandle() : sf::Shader , sf::Texture , sf::VertexBuffer
- getOrigin() : sf::Transformable
- getOutlineColor() : sf::Shape , sf::Text
- getOutlineThickness() : sf::Shape , sf::Text
- getPitch() : sf::SoundSource
- getPixel() : sf::Image
- getPixelsPtr() : sf::Image
- getPlayingOffset() : sf::Sound , sf::SoundStream
- getPoint() : sf::CircleShape , sf::ConvexShape , sf::RectangleShape , sf::Shape
- getPointCount() : sf::CircleShape , sf::ConvexShape , sf::RectangleShape , sf::Shape
- getPosition() : sf::Listener , sf::Mouse , sf::SoundSource , sf::Touch , sf::Transformable , sf::Window
- getPrimitiveType() : sf::VertexArray , sf::VertexBuffer
- getPublicAddress() : sf::IpAddress
- getRadius() : sf::CircleShape
- getRemoteAddress() : sf::TcpSocket
- getRemotePort() : sf::TcpSocket
- getRotation() : sf::Transformable , sf::View
- getSampleCount() : sf::InputSoundFile , sf::SoundBuffer
- getSampleOffset() : sf::InputSoundFile
- getSampleRate() : sf::InputSoundFile , sf::SoundBuffer , sf::SoundRecorder , sf::SoundStream
- getSamples() : sf::SoundBuffer
- getScale() : sf::Transformable
- getSettings() : sf::Context , sf::Window
- getSize() : sf::FileInputStream , sf::Image , sf::InputStream , sf::MemoryInputStream , sf::RectangleShape , sf::RenderTarget , sf::RenderTexture , sf::RenderWindow , sf::String , sf::Texture , sf::View , sf::Window
- getStatus() : sf::Ftp::Response , sf::Http::Response , sf::Sound , sf::SoundSource , sf::SoundStream
- getString() : sf::Clipboard , sf::Text
- getStyle() : sf::Text
- getSystemHandle() : sf::Window
- getTexture() : sf::Font , sf::RenderTexture , sf::Shape , sf::Sprite
- getTextureRect() : sf::Shape , sf::Sprite
- getTimeOffset() : sf::InputSoundFile
- getTransform() : sf::Transformable , sf::View
- getUnderlinePosition() : sf::Font
- getUnderlineThickness() : sf::Font
- getUpVector() : sf::Listener
- getUsage() : sf::VertexBuffer
- getValue() : sf::Sensor , sf::ThreadLocal
- getVertexCount() : sf::VertexArray , sf::VertexBuffer
- getView() : sf::RenderTarget
- getViewport() : sf::RenderTarget , sf::View
- getVolume() : sf::SoundSource
- getWorkingDirectory() : sf::Ftp
- GlResource() : sf::GlResource
- Glyph() : sf::Glyph
- Gravity : sf::Sensor
- Green : sf::Color
- Gyroscope : sf::Sensor